/*
 *				**** DRAW TOOL ****
 *
 * This is the main driver routine for Draw Tool
 */

#include <stdio.h>
#include <stdlib.h>

#include "drawtool.h"

int
main(int argc, char **argv)
{
   DrawPoint *pt1, *pt2;
	DrawObj *obj1, *obj2;

   obj1 = create_drawobj(); /* first object */
   drawobj_set_type(obj1, DRAWOBJ_PT); /* point */
   pt1 = create_point(); /* create point */
   point_setxy(pt1, 0, 0); /* upper left corner */
   drawobj_set_point(obj1, pt1); /* set point */

   obj2 = create_drawobj(); /* second object */
   drawobj_set_type(obj2, DRAWOBJ_LINE); /* lines */
   pt1 = create_point(); /* create point */
   point_setxy(pt1, 10, 10);
   pt2 = create_point();
   point_setxy(pt2, 20, 20);
   pt1->next = pt2; /* line points together */
	drawobj_set_point(obj2, pt1); /* create line */

   drawobj_draw(obj1); /* draw point */
   drawobj_draw(obj2); /* draw line */

   printf("Press ENTER to terminate program: ");
   getchar();
}
